Subject: Re: No sysfs directory for openvswitch module when built-in

From: Stephen Hemminger <[email-masked]>
Date: Mon, 4 Feb 2013 08:19:20 -0800

On Tue, 29 Jan 2013 22:15:18 +0800
Cong Wang <[email-masked]> wrote:

> Hello, Rusty, Jesse,
> 
> I met an interesting problem when I compile openvswitch module as a
> built-in (actually I compile ALL kernel modules as built-in), there is
> no /sys/module/openvswitch/ directory created by the kernel in this
> case.
> 
> What's worse, the user-space init script thinks openvswitch module is
> not loaded by checking the exist of this directory, therefore refuses
> to start.

Shouldn't the OVS init script be testing for some other API.